﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropBetweenDataGrids
{
    public class ViewModel : NotificationObject
    {
       
        private ObservableCollection<OrderInfo> _ordersFirstGrid;

        /// <summary>
        /// contains the details of Orders for FirstGrid
        /// </summary>
        public ObservableCollection<OrderInfo> OrdersFirstGrid
        {
            get { return _ordersFirstGrid; }
            set
            {
                _ordersFirstGrid = value;
                RaisePropertyChanged("OrdersFirstGrid");
            }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="ViewModel"/> class.
        /// </summary>
        public ViewModel()
        {
            _ordersFirstGrid = new ObservableCollection<OrderInfo>();
            this.GenerateOrdersForFirstGrid();
        }



        /// <summary>
        /// Get the Orders details  For FirstGrid
        /// </summary>
        /// <returns></returns>
        private void GenerateOrdersForFirstGrid()
        {
            _ordersFirstGrid.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            _ordersFirstGrid.Add(new OrderInfo(1002, "Ana Trujillo", "Mexico", "ANATR", "Mexico D.F."));
            _ordersFirstGrid.Add(new OrderInfo(1003, "Antonio Moreno", "Mexico", "ANTON", "Mexico D.F."));
            _ordersFirstGrid.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            _ordersFirstGrid.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Lula"));
            _ordersFirstGrid.Add(new OrderInfo(1006, "Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            _ordersFirstGrid.Add(new OrderInfo(1007, "Frederique Cite aux", "France", "BLONP", "Strasbourg"));
            _ordersFirstGrid.Add(new OrderInfo(1008, "Martin", "Spain", "BOLID", "Madrid"));
            _ordersFirstGrid.Add(new OrderInfo(1009, "Laurence", "France", "BONAP", "Marseille"));
            _ordersFirstGrid.Add(new OrderInfo(1010, "Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen"));
        }
        
    }
}

